package main

import (
	"encoding/csv"
	"fmt"
	"os"
	"strconv"
)

func main() {
	arguments := os.Args
	if len(arguments) == 1 {
		fmt.Println("Need a file input!")
		return
	}

	filepath := arguments[1]

	_, err := os.Stat(filepath)
	if err != nil {
		fmt.Println(err)
		return
	}

	// Print the Markdown title
	fmt.Println("##", filepath)
	fmt.Println()
	fmt.Println("```mermaid")
	fmt.Println("pie")
	fmt.Println("\ttitle", filepath)

	f, err := os.Open(filepath)
	if err != nil {
		fmt.Println(err)
		return
	}
	defer f.Close()

	lines, err := csv.NewReader(f).ReadAll()
	if err != nil {
		fmt.Println(err)
		return
	}

	for _, line := range lines {
		_, err := strconv.Atoi(line[1])
		if err != nil {
			continue
		}
		fmt.Printf("\t\"%s\" : %s\n", line[0], line[1])
	}
	fmt.Println("```")

}
