---
title: "Using Mermaid"
date: 2021-01-15T12:55:53+02:00
draft: false
author: Mihalis Tsoukalos
mermaid: true
---

Using [Mermaid](https://mermaid-js.github.io/mermaid/) in Hugo.

{{<mermaid>}}
graph TD;
  A-->B;
  A-->C;
  B-->D;
  C-->D;
{{</mermaid>}}

Created by the following code embedded in ``{{</* mermaid */>}}``:

```mermaid
graph TD;
  A-->B;
  A-->C;
  B-->D;
  C-->D;
```

You need a shortcode located at `layouts/shortcodes` and named `mermaid.html`.

```bash
$ cat layouts/shortcodes/mermaid.html
<script async src="https://unpkg.com/mermaid@8.2.3/dist/mermaid.min.js"></script>
<div class="mermaid">
{{ .Inner }}
</div>
```
